
import Foundation
import SwiftOnLinux

// Print the happy herd.

let data = DataFiles.loadFile(named: "cows.json")
if let contentsOfFile = data.data(using: .ascii),
  let json = try? JSONSerialization.jsonObject(with: contentsOfFile) as! [String:Any] {
  if let cows = json["nodes"] as? [String] {
    print("The happy herd: \(cows)")
  } else {
    print("error: bad JSON!")
  }
} else {
  print("Error: cannot read json file!")
}
